import{s as Z,n as ee,o as ae}from"../chunks/scheduler.85c25b89.js";import{S as te,i as ne,g as o,s as r,r as O,A as le,h as m,f as a,c as s,j as D,u as T,x as q,k as F,y as h,a as l,v as j,d as C,t as I,w as L}from"../chunks/index.c9837788.js";import{D as V}from"../chunks/Docstring.288498f9.js";import{H as oe}from"../chunks/Heading.3097d2ed.js";function re(B){let i,E,N,P,d,k,n,c,A,$,G="Dataset factory method",R,y,J="In parentheses after each arg are the type of dataset supported for each arg, one of:",W,x,K="<li>folder - default, timm folder (or tar) based ImageDataset</li> <li>torch - torchvision based datasets</li> <li>HFDS - Hugging Face Datasets</li> <li>TFDS - Tensorflow-datasets wrapper in IterabeDataset interface via IterableImageDataset</li> <li>WDS - Webdataset</li> <li>all - any of the above</li>",z,v,_,H,u,f,S,g,b,U,w,M;return d=new oe({props:{title:"Data",local:"timm.data.create_dataset",headingTag:"h1"}}),c=new V({props:{name:"timm.data.create_dataset",anchor:"timm.data.create_dataset",parameters:[{name:"name",val:": str"},{name:"root",val:": Optional = None"},{name:"split",val:": str = 'validation'"},{name:"search_split",val:": bool = True"},{name:"class_map",val:": dict = None"},{name:"load_bytes",val:": bool = False"},{name:"is_training",val:": bool = False"},{name:"download",val:": bool = False"},{name:"batch_size",val:": int = 1"},{name:"num_samples",val:": Optional = None"},{name:"seed",val:": int = 42"},{name:"repeats",val:": int = 0"},{name:"input_img_mode",val:": str = 'RGB'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/pytorch-image-models/blob/main/timm/data/dataset_factory.py#L63",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dataset object</p>
`}}),_=new V({props:{name:"timm.data.create_loader",anchor:"timm.data.create_loader",parameters:[{name:"dataset",val:": Union"},{name:"input_size",val:": Union"},{name:"batch_size",val:": int"},{name:"is_training",val:": bool = False"},{name:"no_aug",val:": bool = False"},{name:"re_prob",val:": float = 0.0"},{name:"re_mode",val:": str = 'const'"},{name:"re_count",val:": int = 1"},{name:"re_split",val:": bool = False"},{name:"scale",val:": Optional = None"},{name:"ratio",val:": Optional = None"},{name:"hflip",val:": float = 0.5"},{name:"vflip",val:": float = 0.0"},{name:"color_jitter",val:": float = 0.4"},{name:"color_jitter_prob",val:": Optional = None"},{name:"grayscale_prob",val:": float = 0.0"},{name:"gaussian_blur_prob",val:": float = 0.0"},{name:"auto_augment",val:": Optional = None"},{name:"num_aug_repeats",val:": int = 0"},{name:"num_aug_splits",val:": int = 0"},{name:"interpolation",val:": str = 'bilinear'"},{name:"mean",val:": Tuple = (0.485, 0.456, 0.406)"},{name:"std",val:": Tuple = (0.229, 0.224, 0.225)"},{name:"num_workers",val:": int = 1"},{name:"distributed",val:": bool = False"},{name:"crop_pct",val:": Optional = None"},{name:"crop_mode",val:": Optional = None"},{name:"crop_border_pixels",val:": Optional = None"},{name:"collate_fn",val:": Optional = None"},{name:"pin_memory",val:": bool = False"},{name:"fp16",val:": bool = False"},{name:"img_dtype",val:": dtype = torch.float32"},{name:"device",val:": device = device(type='cuda')"},{name:"use_prefetcher",val:": bool = True"},{name:"use_multi_epochs_loader",val:": bool = False"},{name:"persistent_workers",val:": bool = True"},{name:"worker_seeding",val:": str = 'all'"},{name:"tf_preprocessing",val:": bool = False"}],source:"https://github.com/huggingface/pytorch-image-models/blob/main/timm/data/loader.py#L189",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>DataLoader</p>
`}}),f=new V({props:{name:"timm.data.create_transform",anchor:"timm.data.create_transform",parameters:[{name:"input_size",val:": Union = 224"},{name:"is_training",val:": bool = False"},{name:"no_aug",val:": bool = False"},{name:"scale",val:": Optional = None"},{name:"ratio",val:": Optional = None"},{name:"hflip",val:": float = 0.5"},{name:"vflip",val:": float = 0.0"},{name:"color_jitter",val:": Union = 0.4"},{name:"color_jitter_prob",val:": Optional = None"},{name:"grayscale_prob",val:": float = 0.0"},{name:"gaussian_blur_prob",val:": float = 0.0"},{name:"auto_augment",val:": Optional = None"},{name:"interpolation",val:": str = 'bilinear'"},{name:"mean",val:": Tuple = (0.485, 0.456, 0.406)"},{name:"std",val:": Tuple = (0.229, 0.224, 0.225)"},{name:"re_prob",val:": float = 0.0"},{name:"re_mode",val:": str = 'const'"},{name:"re_count",val:": int = 1"},{name:"re_num_splits",val:": int = 0"},{name:"crop_pct",val:": Optional = None"},{name:"crop_mode",val:": Optional = None"},{name:"crop_border_pixels",val:": Optional = None"},{name:"tf_preprocessing",val:": bool = False"},{name:"use_prefetcher",val:": bool = False"},{name:"separate",val:": bool = False"}],source:"https://github.com/huggingface/pytorch-image-models/blob/main/timm/data/transforms_factory.py#L317",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Composed transforms or tuple thereof</p>
`}}),b=new V({props:{name:"timm.data.resolve_data_config",anchor:"timm.data.resolve_data_config",parameters:[{name:"args",val:" = None"},{name:"pretrained_cfg",val:" = None"},{name:"model",val:" = None"},{name:"use_test_size",val:" = False"},{name:"verbose",val:" = False"}],source:"https://github.com/huggingface/pytorch-image-models/blob/main/timm/data/config.py#L8"}}),{c(){i=o("meta"),E=r(),N=o("p"),P=r(),O(d.$$.fragment),k=r(),n=o("div"),O(c.$$.fragment),A=r(),$=o("p"),$.textContent=G,R=r(),y=o("p"),y.textContent=J,W=r(),x=o("ul"),x.innerHTML=K,z=r(),v=o("div"),O(_.$$.fragment),H=r(),u=o("div"),O(f.$$.fragment),S=r(),g=o("div"),O(b.$$.fragment),U=r(),w=o("p"),this.h()},l(e){const t=le("svelte-u9bgzb",document.head);i=m(t,"META",{name:!0,content:!0}),t.forEach(a),E=s(e),N=m(e,"P",{}),D(N).forEach(a),P=s(e),T(d.$$.fragment,e),k=s(e),n=m(e,"DIV",{class:!0});var p=D(n);T(c.$$.fragment,p),A=s(p),$=m(p,"P",{"data-svelte-h":!0}),q($)!=="svelte-1tv23x9"&&($.textContent=G),R=s(p),y=m(p,"P",{"data-svelte-h":!0}),q(y)!=="svelte-1k3tjcx"&&(y.textContent=J),W=s(p),x=m(p,"UL",{"data-svelte-h":!0}),q(x)!=="svelte-1joatkj"&&(x.innerHTML=K),p.forEach(a),z=s(e),v=m(e,"DIV",{class:!0});var Q=D(v);T(_.$$.fragment,Q),Q.forEach(a),H=s(e),u=m(e,"DIV",{class:!0});var X=D(u);T(f.$$.fragment,X),X.forEach(a),S=s(e),g=m(e,"DIV",{class:!0});var Y=D(g);T(b.$$.fragment,Y),Y.forEach(a),U=s(e),w=m(e,"P",{}),D(w).forEach(a),this.h()},h(){F(i,"name","hf:doc:metadata"),F(i,"content",me),F(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){h(document.head,i),l(e,E,t),l(e,N,t),l(e,P,t),j(d,e,t),l(e,k,t),l(e,n,t),j(c,n,null),h(n,A),h(n,$),h(n,R),h(n,y),h(n,W),h(n,x),l(e,z,t),l(e,v,t),j(_,v,null),l(e,H,t),l(e,u,t),j(f,u,null),l(e,S,t),l(e,g,t),j(b,g,null),l(e,U,t),l(e,w,t),M=!0},p:ee,i(e){M||(C(d.$$.fragment,e),C(c.$$.fragment,e),C(_.$$.fragment,e),C(f.$$.fragment,e),C(b.$$.fragment,e),M=!0)},o(e){I(d.$$.fragment,e),I(c.$$.fragment,e),I(_.$$.fragment,e),I(f.$$.fragment,e),I(b.$$.fragment,e),M=!1},d(e){e&&(a(E),a(N),a(P),a(k),a(n),a(z),a(v),a(H),a(u),a(S),a(g),a(U),a(w)),a(i),L(d,e),L(c),L(_),L(f),L(b)}}}const me='{"title":"Data","local":"timm.data.create_dataset","sections":[],"depth":1}';function se(B){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ve extends te{constructor(i){super(),ne(this,i,se,re,Z,{})}}export{ve as component};
